<div class="container" style="padding: 2vh;">
    <form [formGroup]="form" (ngSubmit)="send()" novalidate *ngIf="dataLoaded">
        <div class="form-group row">
            <label for="category" class="col-lg-2 col-form-label">Category</label>
            <div class="col-lg-10">
                <kendo-multiselect [data]="categoryOptions" [textField]="'name'" [valueField]="'categoryId'"
                    formControlName="category"></kendo-multiselect>
            </div>
        </div>
        <div class="form-group row">
            <label for="attribute" class="col-lg-2 col-form-label">Attribute</label>
            <div class="col-lg-10">
                <kendo-multiselect [data]="attributeOptions" [textField]="'name'" [valueField]="'attributeId'"
                    formControlName="attribute"></kendo-multiselect>
            </div>
        </div>
        <div class="form-group row">
            <label for="type" class="col-lg-2 col-form-label">Types</label>
            <div class="col-lg-10">
                <kendo-multiselect [data]="typeOptions" [textField]="'name'" [valueField]="'typeId'"
                    formControlName="type"></kendo-multiselect>
            </div>
        </div>
        <div class="form-group row">
            <label for="rarity" class="col-lg-2 col-form-label">Rarity</label>
            <div class="col-lg-10">
                <kendo-multiselect [data]="rarityOptions" [textField]="'name'" [valueField]="'rarityId'"
                    formControlName="rarity"></kendo-multiselect>
            </div>
        </div>
        <div class="form-check form-check-inline" style="padding-bottom: 2vh;">
            <input class="form-check-input" type="checkbox" id="notOwned" formControlName="notOwned" checked="true">
            <label class="form-check-label" for="notOwned">Not Owned</label>
        </div>

        <button type="submit" class="btn btn-primary w-100 justify-content-end align-items-center">Filter</button>
        <button type="reset" class="btn btn-secondary w-100 justify-content-end align-items-center" (click)="onReset()">Clear</button>
    </form>
    <div class="alert alert-info" role="alert" *ngIf="!dataLoaded">
        Loading data...
    </div>
</div>